---
title: "Get logs"
url: "https://docs.signnow.com/docs/api-logs/operations/get-request-logs"
type: "endpoint"
section: "api-logs"
slug: "api-logs/operations/get-request-logs"
method: "GET"
path: "/request-logs"
operation_id: "get-request-logs"
authorization: "bearer"
---

# Get logs

`GET /request-logs`

Retrieve logs for all user's active applications.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | string | No | Allowed values: any positive integer starting from 1. |
| `page` | string | No | Allowed values: any positive integer starting from 1. |
| `filter:error` | string | No | Possible values: true/false. Format: `?filters=[{"error":{"type": "=", "value":true}}]`` |
| `filter:applicationId` | string | No | Possible values: one or several strings in array. Format: `?filters=[{"applicationId":{"type": "in", "value":["e1656509199c931911e919a00b1906ad1a26a450", "e1656509199c931911e919a00b1906ad1a26a451"]}}]` |
| `filter:method` | string | No | Possible values: array of strings. Format: `?filters=[{"method":{"type": "in", "value": "POST", "PUT]}}]` |
| `filter:uri` | string | No | Possible values: array of strings. Format: `?filters=[{"uri":{"type": "match", "value": "string"}}]` - finds only requests where the uri contains the value of the filter; `?filters=[{"uri":{"type": "like", "value": "user"}}]` - finds requests where the uri contains text from values of the filter. |
| `filter:code` | string | No | Possible values: array of two integers. Format: `?filters=[{"code":{"type": "between", "value": [0,500]}}]` |
| `filter:time` | string | No | Possible values: integer. Format: `?filters=[{"time":{"type": "=", "value": 2}}]` |
| `filter:created` | string | No | Possible values: two integers in array. Format: `?filters=[{"created":{"type": "between", "value": [1565360895, 1565360896]}}]` |
| `sort:created` | string | No | Sort results in ascending or descending order. Possible values: asc/desc. Format: `?sort[email]=asc` |

## Responses

### 200

Returns request logs in case of successful response. Returns an error when:

User does not have an active subscription, "code": 0. Message: "User does not have active subscription"

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "error": true,
      "created": 1565360895,
      "request": {
        "ip": "9X.XX.XX.XX",
        "uri": "https://example.com",
        "body": {
          "data": "sample text"
        },
        "host": "example.com",
        "method": "POST",
        "source": "some_source",
        "headers": {
          "User-Agent": "Opera/9.27 (X11; Linux i686; en-US) Presto/2.9.200 Version/10.00"
        }
      },
      "user_id": "cdXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "response": {
        "body": {
          "data": "sample text"
        },
        "code": 400,
        "time": 1,
        "headers": null
      },
      "request_id": "5dXXXXXXXXXXX",
      "api_version": 2,
      "application_id": "e1XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": {
        "next": "https://api.signnow.com/request-logs?page=2"
      },
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/request-logs" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/api-logs/operations/get-request-logs*
